*,
::before,
::after {
  box-sizing: border-box;
}

html {
  position: relative;
  min-height: 100vh;
}

body {
  margin: 0 !important;
  padding: 0 !important;
  background-color: #fff;
  height: 100vh !important;
  font-size: .85rem;
}

input,
select,
textarea,
button,
a.btn {
  box-shadow: none !important;
}

.preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #000;
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 9999;
  opacity: .8;
  transition: all 0.6s ease-out;
  -webkit-transition: all 0.6s ease-out;
  -moz-transition: all 0.6s ease-out;
  -ms-transition: all 0.6s ease-out;
  -o-transition: all 0.6s ease-out;
}

.preloader.show {
  display: flex;
}

.preloader:before {
  content: '';
  border: 10px dashed #f3f3f3;
  border-radius: 50%;
  width: 100px;
  height: 100px;
  animation: spin-preloader 2s linear infinite;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  -webkit-animation: spin-preloader 2s linear infinite;
}

@keyframes spin-preloader {
  0% {
    transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);	;
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
  }
}

.ct-input-icon {
  position: relative !important;
}

.input-icon,
.input-icon-sm,
.input-icon-lg {
  position: absolute;
  z-index: 2;
  display: block;
  width: 2.375rem;
  height: 2.375rem;
  line-height: 2.375rem;
  text-align: center;
  color: #aaa;
  pointer-events: none;
}

.input-icon-btn {
  pointer-events: all;
  cursor: pointer;
  margin: 0;
  padding: 0;
  border: none;
  background: transparent;
}

.input-icon.input-icon-left ~ .form-control {
  padding-left: 2.375rem;
}

.input-icon-right {
  right: 0;
}

.form-row .input-icon-right {
  right: 5px;
}

.input-icon-right + .form-control {
  padding-right: 2.375rem;
}

.input-icon-right + .form-control.is-invalid {
  background-position: right calc(.1875rem + 2.375rem) center;
}

.input-icon-lg {
  width: 3rem;
  height: 3rem;
  line-height: 3rem;
}

.input-icon-lg.input-icon-left ~ .form-control {
  padding-left: 3rem;
}

.input-icon-lg.input-icon-right + .form-control {
  padding-right: 3rem;
}

.input-icon-lg.input-icon-right + .form-control.is-invalid {
  background-position: right calc(.1875rem + 3rem) center;
}

.input-icon-sm  {
  width: 1.938rem;
  height: 1.938rem;
  line-height: 1.938rem;
}

.input-icon-sm.input-icon-left ~ .form-control {
  padding-left: 1.938rem;
}

.input-icon-sm.input-icon-right + .form-control {
  padding-right: 1.938rem;
}

.input-icon-sm.input-icon-right + .form-control.is-invalid {
  background-position: right calc(.1875rem + 1.938rem) center;
}

.nav-item a {
  cursor: pointer;
}

.wrapper {
  display: none;
}

.wrapper.show {
    display: flex;
}

.sidebar-toggle {
  width: 42px;
}

.sidebar {
  color: #fff;
  width: 16rem !important;
  padding: 0 .5rem;
  transition: margin-left .3s ease-in-out,width .3s ease-in-out;
  -webkit-transition: margin-left .3s ease-in-out,width .3s ease-in-out;
  -moz-transition: margin-left .3s ease-in-out,width .3s ease-in-out;
  -o-transition: margin-left .3s ease-in-out,width .3s ease-in-out;
}

.sidebar.toggled {
  width: 4.5rem !important;
  position: absolute;
  z-index: 1000;
}

.sidebar.toggled:hover {
  width: 16rem !important;
  position: absolute;
  z-index: 1000;
}

.sidebar a,
.sidebar a:active {
  color: white;
  text-decoration: none;
}

.sidebar .sidebar-brand {
  width: calc(16rem - 1rem);
  text-decoration: none;
  font-size: 1.4rem;
  padding: .7rem .5rem;
  text-align: left;
  letter-spacing: .1rem;
  z-index: 1;
  white-space: nowrap;
}

.sidebar.toggled .sidebar-brand {
  width: calc(4.5rem - 1rem) !important;
}

.sidebar.toggled:hover .sidebar-brand {
  width: calc(16rem - 1rem) !important;
}

.sidebar .sidebar-brand img {
  height: 35px;
  width: auto;
  float: left;
  margin: 0 .5rem 0 .4rem !important;
}

.sidebar .sidebar-brand span,
.sidebar.toggled:hover .sidebar-brand span {
  display: inline-block;
  height: auto;
  visibility: visible;
  opacity: 1;
  transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
  -webkit-transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
  -moz-transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
  -o-transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
}

.sidebar.toggled .sidebar-brand span {
  width: 0;
  height: 0;
  visibility: hidden;
  opacity: 0;
}

.sidebar hr.sidebar-divider {
  margin: 0 0 .5rem;
  border-top: 1px solid rgba(255,255,255,100);
}

.sidebar-item {
  height: 100vh;
  overflow-y: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.sidebar-item::-webkit-scrollbar {
  display: none;
}

.sidebar .nav-item {
  position: relative;
}

.sidebar .nav-item .nav-icon {
  width: 1.3rem !important;
  display: inline-block;
  text-align: center;
}

.sidebar .nav-item .nav-link {
  background-color: #007bff;
  white-space: nowrap;
  display: block;
  text-align: left;
  padding: .5rem 1rem .5rem 1.1rem;
  width: 100%;
  color: rgba(255,255,255,.8);
  font-size: 1rem;
  border-radius: .25rem;
  -webkit-border-radius: .25rem;
  -moz-border-radius: .25rem;
  -ms-border-radius: .25rem;
  -o-border-radius: .25rem;
}

.sidebar .nav-item .nav-link.default,
.sidebar .nav-item .nav-link.collapsed {
  background-color: #343a40;
}

.sidebar .nav-item .nav-link.default:hover,
.sidebar .nav-item .nav-link.collapsed:hover {
  background-color: #6c757d;
}

.sidebar .nav-item .nav-link span,
.sidebar.toggled:hover .nav-item .nav-link span {
  font-size: .85rem;
  display: inline-block;
  height: auto;
  visibility: visible;
  opacity: 1;
  transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
  -webkit-transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
  -moz-transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
  -o-transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
}

.sidebar.toggled .nav-item .nav-link span {
  height: 0;
  visibility: hidden;
  opacity: 0;
}

.sidebar .nav-item .nav-link .nav-arrow {
  position: absolute;
  left: 13.5rem;
  top: .8rem;
  font-size: 15px;
  transform: rotate(90deg);
  transition: .3s;
  -webkit-transition: .3s;
  -moz-transition: .3s;
  -o-transition: .3s;
}

.sidebar .nav-item .nav-link.collapsed .nav-arrow {
  transform: rotate(0);
}

.sidebar .nav-item .nav-link .nav-arrow,
.sidebar.toggled:hover .nav-item .nav-link .nav-arrow {
  height: 15px;
  visibility: visible;
  opacity: 1;
}

.sidebar.toggled .nav-item .nav-link .nav-arrow {
  height: 0;
  visibility: hidden;
  opacity: 0;
}

.sidebar .nav-item .collapse {
  position: relative;
}

.sidebar .nav-item .collapse .collapse-inner,
.sidebar .nav-item .collapsing .collapse-inner {
  padding: .5rem 0;
  font-size: .85rem;
  margin: 0;
  border-radius: .25rem;
  -webkit-border-radius: .25rem;
  -moz-border-radius: .25rem;
  -ms-border-radius: .25rem;
  -o-border-radius: .25rem;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item {
  padding: .5rem .5rem .5rem .6rem;
  margin: 0 .5rem;
  display: block;
  color: #3a3b45;
  text-decoration: none;
  white-space: nowrap;
  border-radius: .25rem;
  -webkit-border-radius: .25rem;
  -moz-border-radius: .25rem;
  -ms-border-radius: .25rem;
  -o-border-radius: .25rem;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item.active,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item.active {
  background-color: #007bff;
  color: #fff;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item:not(.active):hover,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item:not(.active):hover {
  background-color: #dddfeb;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item a,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item a {
  display: block;
  color: #3a3b45;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item span,
.sidebar.toggled:hover .nav-item .collapse .collapse-inner .collapse-item span,
.sidebar.toggled:hover .nav-item .collapsing .collapse-inner .collapse-item span {
  display: inline;
  height: auto;
  visibility: visible;
  opacity: 1;
  transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
  -webkit-transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
  -moz-transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
  -o-transition: margin-left .3s linear,opacity .3s ease,visibility .3s ease;
}

.sidebar.toggled .nav-item .collapse .collapse-inner .collapse-item span,
.sidebar.toggled .nav-item .collapsing .collapse-inner .collapse-item span {
  height: 0;
  visibility: hidden;
  opacity: 0;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item .light-circle,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item .light-circle {
  display: inline-block;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item:hover .light-circle,
.sidebar .nav-item .collapse .collapse-inner .collapse-item.active .light-circle,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item:hover .light-circle,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item.active .light-circle {
  display: none;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item .dark-circle,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item .dark-circle {
  display: none;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item:hover .dark-circle,
.sidebar .nav-item .collapse .collapse-inner .collapse-item.active .dark-circle,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item:hover .dark-circle,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item.active .dark-circle {
  display: inline-block;
}

.sidebar.toggled + .content-wrapper {
  width: calc(100% - 4.5rem) !important;
  margin-left: 4.5rem;
}

.content-wrapper	{
  background-color: #eee;
  width: 100%;
  position: relative;
  overflow-y: scroll;
}

h1.page-title {
  font-family: inherit !important;
  font-weight: 500 !important;
  line-height: 1.2 !important;
  color: inherit !important;
}

.content {
  min-height: calc(100vh - 184.58px);
  margin: auto;
  padding-bottom: 1rem;
}

.content-header {
  margin: 1rem;
  max-width: 1340px;
  margin-left: auto;
  margin-right: auto;
}

.content-header h1 {
  font-size: 1.8rem;
  margin: 0;
}

.content-header .breadcrumb {
  background-color: transparent;
  line-height: 1.8rem;
  margin-bottom: 0;
  padding: 0;
}

.content-nav {
  border: 1px solid rgba(0, 0, 0, .125);
  border-radius: .25rem;
  margin-bottom: 1rem;
}

.content-nav .navbar-brand {
  display: none;
  margin-bottom: 0;
}

.content-nav .navbar-toggler {
  width: 33px;
  background-color: #007bff;
  font-size: 1rem;
  color: #fff;
  border: none;
  padding: .5rem;
}

.content-nav .nav-item .nav-link{
  border-radius: .25rem;
  padding: .5rem 1rem;
}

.content-nav .nav-item.active .nav-link,
.content-nav .nav-item.active .nav-link.active {
  background-color: #007bff;
  color: #fff;
}

.content-nav .nav-item:not(.active) .nav-link {
  color: #007bff;
}

.content-nav .nav-item:not(.active):hover .nav-link {
  background-color: #dddfeb;
  color: #0056b3;
}

.content-nav li {
  display: block;
}

/* .card-header-nav {
  padding: 0 !important;
}

.card-header-nav .navbar-toggler {
  width: 100%;
  background-color: #007bff;
  font-size: 1rem;
  color: #fff;
  border: none;
  padding: .5rem 1rem;
  line-height: 1.275rem;
}

.card-header-nav .nav-item .nav-link{
  border-radius: .25rem;
  padding: .5rem 1rem;
}

.card-header-nav .nav-item.active .nav-link,
.card-header-nav .nav-item.active .nav-link.active {
  background-color: #007bff;
  color: #fff;
}

.card-header-nav .nav-item:not(.active) .nav-link {
  color: #007bff;
}

.card-header-nav .nav-item:not(.active):hover .nav-link {
  background-color: #dddfeb;
  color: #0056b3;
} */

.fg-year {
  max-width: 85px;
}

.fg-date {
  max-width: 125px;
}

.fg-date input {
  text-align: center;
}

.fg-time {
  max-width: 95px;
}

.fg-time input {
  text-align: center;
}

.fg-monthyear {
  max-width: 160px;
}

.fg-monthyear input {
  text-align: center;
}

.fg-fulldate {
  max-width: 1250px;
}

.fg-search,
.fg-search-reset,
.fg-search-monthyear {
  max-width: 250px;
}

.fg-btn-icon {
  max-width: 42px;
}

.fg-shown {
  min-width: 83px;
  max-width: 83px;
}

.fg-shown select {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  text-align: center;
}

.custom-upload {
  max-width: 313px;
}

.table .column-fit {
  white-space: nowrap;
  min-width: 32px;
  width: 1%;
}

.pagination li:not(.active) {
  cursor: pointer;
}

.pagination li a:hover {
  text-decoration: none;
}

.scroll-to-top {
  position: fixed;
  right: .3rem;
  bottom: .3rem;
  width: 2.5rem;
  height: 2.5rem;
  text-align: center;
  color: #fff;
  background: rgba(90,92,105,.5);
  line-height: 40px;
  border-radius: .5rem !important;
  -webkit-border-radius: .5rem !important;
  -moz-border-radius: .5rem !important;
  -ms-border-radius: .5rem !important;
  -o-border-radius: .5rem !important;
}

.scroll-to-top:hover {
  cursor: pointer;
  background: rgba(90,92,105,1);
}

.footer {
  width: 100%;
  height: 3rem;
}

.footer-container {
  margin: 0 1rem;
}

.modal-dialog {
  transition: all 400ms ease !important;
}

.modal-content {
  border: none !important;
  border-radius: .5rem !important;
  -webkit-box-shadow: 0px 0px 30px 0px rgba(0,0,0,1);
  -moz-box-shadow: 0px 0px 30px 0px rgba(0,0,0,1);
  box-shadow: 0px 0px 30px 0px rgba(0,0,0,1);
}

.modal-header {
  background-color: #fff;
  padding: .5rem 1rem;
}

.modal-header > .modal-title {
  color: #000;
  font-weight: bold;
}

.modal-header > .close {
  color: #000;
  opacity: 1;
}

.modal-header .close:hover {
  opacity: .5;
}

.modal-footer {
  padding: .5rem 1rem;
}
#toast-container {
    position: sticky;
    z-index: 1055;
    top: 0
}

#toast-wrapper {
    position: absolute;
    top: 0;
    right: 0;
    margin: 5px
}

#toast-container > #toast-wrapper > .toast {
  min-width: 150px
}

#toast-container > #toast-wrapper > .toast >.toast-header strong {
  padding-right: 20px
}

.btn-perkara {
  min-height: 78px;
}

@media (max-width: 575.98px) {
  .fg-search,
  .fg-search-monthyear {
    max-width: 100%;
  }

  .fg-search-reset {
    max-width: calc(100% - 42px);
  }
}

@media (min-width: 576px) {
  .modal-md .fg-search,
  .modal-lg .fg-search,
  .modal-xl .fg-search {
    max-width: calc(100% - 83px - 42px);
  }

  .modal-md .fg-search-monthyear,
  .modal-lg .fg-search-monthyear,
  .modal-xl .fg-search-monthyear {
    max-width: calc(100% - 130px);
  }
}

@media (max-width: 767.98px) {
  .content-nav .navbar-brand {
    display: block;
    margin-right: auto !important;
    margin-left: 1rem;
  }

  .content-nav .navbar-collapse {
    margin: .25rem 1rem 0;
    padding: .5rem;
    border: 1px solid rgba(0, 0, 0, .125);
  }

  .content-nav .navbar-collapse {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 1030;
    background-color: white;
    border-radius: .25rem;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  }

  .content-nav .navbar-nav {
    flex-direction: column;
  }

  .content-nav .nav-item {
    margin: 0;
  }

  .content-nav .dropdown-menu {
    border: none;
  }

  .content-nav .dropdown-item {
    padding: .5rem 1.5rem;
  }

  /* .card-header-nav.navbar-expand-md .navbar-collapse .nav-item .nav-link {
    text-align: center;
  } */
}

@media (min-width: 768px) {
  /* .card-header-nav.navbar-expand-md {
    margin: -.5rem !important;
  } */
}

@media (max-width: 991.98px) {
  .sidebar,
  .sidebar.toggled {
    width: 16rem !important;
    position: absolute;
    z-index: 1000;
  }

  .sidebar .sidebar-brand-text,
  .sidebar.toggled .sidebar-brand-icon {
    display: none;
  }

  .sidebar .sidebar-brand-text,
  .sidebar.toggled .sidebar-brand-text {
    display: block;
    white-space: nowrap;
  }

  .sidebar {
    transform: translateX(0);
    transition: transform .3s ease-in-out;
    -webkit-transition: transform .3s ease-in-out;
    -moz-transition: transform .3s ease-in-out;
    -o-transition: transform .3s ease-in-out;
  }

  .sidebar.toggled {
    transform: translateX(-100%);
  }

  .sidebar.toggled .nav-item .nav-link span {
    font-size: .85rem;
    display: inline;
  }

  .sidebar.toggled .nav-item .collapse .collapse-inner .collapse-item,
  .sidebar.toggled .nav-item .collapsing .collapse-inner .collapse-item {
    text-align: left;
    width: calc(16rem - 1rem) !important;
  }

  .sidebar.toggled .nav-item .collapse .collapse-inner .collapse-item span,
  .sidebar.toggled .nav-item .collapsing .collapse-inner .collapse-item span {
    display: inline;
  }

  .sidebar.toggled + .content-wrapper {
    width: 100% !important;
    margin-left: 0;
  }

  .content-wrapper {
    min-height: 99vh !important;
  }
}

@media (min-width: 992px) {
  .modal-lg .fg-search,
  .modal-xl .fg-search,
  .modal-md .fg-search-monthyear,
  .modal-lg .fg-search-monthyear,
  .modal-xl .fg-search-monthyear {
    max-width: 300px;
  }
}

@media (max-width: 1199.98px) {}

@media (min-width: 1200px) {}

@media (max-width: 1399.98px) {}

@media (min-width: 1400px) {
  .content {
    max-width: 1340px;
  }
}

.custom-span-td {
  border-radius: 5px;
  padding: .1rem .25rem .15rem;
}

.badge {
  display: inline-block;
  padding: .25em .4em;
  font-size: 75%;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: .35rem;
}

.badge-danger {
  color: #fff;
  background-color: #e74a3b;
}

.dropdown .dropdown-menu {
  font-size: .85rem;
}

.dropdown.no-arrow .dropdown-toggle::after{
  display:none
}

.modal-body .card {
  max-height: calc(100vh - 162px) !important;
}

.modal-body .card.full {
  min-height: calc(100vh - 13rem) !important;
  max-height: calc(100vh - 13rem) !important;
}

.modal-body .card-title {
  padding: .25rem 0;
}

.modal-body .card .card-body {
  max-height: calc(100vh - 15.5rem);
}

.modal-body .card .card-body:not(.fix) {
  overflow: auto !important;
}

.modal-xxl,
.modal-full,
.modal-display {
  min-width: 98vw !important;
  height: 100vh !important;
}

.modal-full .modal-header,
.modal-full .modal-footer,
.modal-display .modal-header,
.modal-display .modal-footer {
  padding: 0.2rem 1rem !important;
}

.modal-xxl .modal-footer,
.modal-full .modal-footer,
.modal-display .modal-footer {
  display: flex !important;
  justify-content: center !important;
}

.modal-display .modal-body {
  max-height: 100% !important;
  padding: 0;
}

.like-footer,
.card-footer {
  padding: .25rem .75rem;
}

.custom-file,
.custom-file-input,
.custom-file-label {
  height: calc(1.5em + .538rem + 2px) !important;
}

.custom-file-label,
.custom-file-label::after {
  line-height: 1.2;
}

.custom-file-input:lang(en) ~ .custom-file-label::after {
  content: 'Cari';
  display: none;
}

.table .custom-switch {
  right: -.25rem;
}

.table-dark.no-hover tr {
  background-color: #343a40;
}

.custom-control-input:focus ~ .custom-control-label::before {
  box-shadow: none;
}

.custom-control-input:focus:not(:checked)~.custom-control-label::before {
  border-color: #adb5bd;
}

.select2-container--bootstrap4 .select2-selection--single {
  height: calc(1.5em + .538rem + 2px) !important;
}

.select2-results__group {
  color: #000 !important;
}

.select2-container--bootstrap4 .select2-selection--single .select2-selection__rendered,
.select2-container--bootstrap4 .select2-selection--single .select2-selection__placeholder {
  line-height: calc(1.5em + .6rem) !important;
}

.select2-search--dropdown .select2-search__field {
  padding: 0 .75rem !important;
  line-height: calc(1.5em + .54rem) !important;
}

.dropdown .dropdown-toggle,
.dropdown-menu .dropdown-item {
  word-wrap: break-word;
  white-space: normal;
}